# MeshSkinVertex(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``MeshSkinVertex`(bpy_struct)

  Per-vertex skin data for use with the Skin modifier

  `radius`

    Radius of the skin

    Type: | float array of 2 items in [-inf, inf], default (0.0, 0.0)

  `use_loose`

    If vertex has multiple adjacent edges, it is hulled to them directly

    Type: | boolean, default False

  `use_root`

    Vertex is a root for rotation calculations and armature generation

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`MeshSkinVertexLayer.data` |